"use client";

import { ExpandLess, ExpandMore } from "@mui/icons-material";
import { Box, Button, Collapse } from "@mui/material";

import { useState } from "react";

const RichTextCollapse = ({ text }) => {
  const [expanded, setExpanded] = useState(false);

  const toggleExpanded = () => {
    setExpanded(!expanded);
  };
  return (
    <Box sx={{ width: "100%", margin: "auto", position: "relative" }}>
      <Collapse
        in={expanded}
        collapsedSize={170}
        sx={{
          overflow: "hidden",
          position: "relative",
          "&::after": !expanded && {
            content: '""',
            position: "absolute",
            bottom: 0,
            left: 0,
            right: 0,
            height: 70, // ارتفاع قسمت محو شده
            background: "linear-gradient(to bottom, transparent, white)", // تغییر رنگ به دلخواه شما
          },
        }}
      >
        <div dangerouslySetInnerHTML={{ __html: text }} className="leading-8"/>
      </Collapse>

      <div className="w-full flex justify-center">
        <Button
          onClick={toggleExpanded}
          sx={{ mt: 1 }}
          endIcon={expanded ? <ExpandLess /> : <ExpandMore />}
        >
          {expanded ? "نمایش کمتر" : "نمایش بیشتر"}
        </Button>
      </div>
    </Box>
  );
};

export default RichTextCollapse;
